Subject: Re: [BUILD FAILURE 01/04] Next June 04:PPC64 randconfig [drivers/staging/comedi/drivers.o]

From: David Miller <[email-masked]>
Date: Fri, 05 Jun 2009 17:56:56 -0700 (PDT)

From: Benjamin Herrenschmidt <[email-masked]>
Date: Sat, 06 Jun 2009 09:32:29 +1000

> 
>> I tried this. But, with some catch. ‘PAGE_KERNEL_NOCACHE’ seems to be the
>> choice for majority of architectures like frv, m32r, sh, x86, etc, as Geert
>> mentions below. However, i believe POWERPC defines it as ‘PAGE_KERNEL_NC‘
>> found at arch/powerpc/include/asm/pte-common.h.
>> 
>> Paul/Banjamin,
>> Can you please confirm this ?
> 
> Read my reply to Greg. Why the heck are you trying to map memory
> non-cacheable in the first place ?

I agree, this is extremely fishy.

I guess the issue is that the driver wants consistent DMA memory
but wants to allocate a huge area vmap() style.